> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eigenexplorer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve details about an operator-set for an AVS

> Returns information about a particular operator-set for an AVS address



## OpenAPI

````yaml get /avs/{address}/operator-sets/{operatorSetId}
openapi: 3.0.3
info:
  title: EigenExplorer API
  description: EigenExplorer is a community-driven data platform for EigenLayer AVS.
  version: 0.0.1
  license:
    name: MIT
    url: https://spdx.org/licenses/MIT.html
servers:
  - url: https://api.eigenexplorer.com
    description: EigenExplorer Production API
  - url: https://api-holesky.eigenexplorer.com
    description: EigenExplorer Holesky Testnet API
security: []
paths:
  /avs/{address}/operator-sets/{operatorSetId}:
    get:
      tags:
        - AVS
      summary: Retrieve details about an operator-set for an AVS
      description: Returns information about a particular operator-set for an AVS address
      operationId: getAvsOperatorSetDetails
      parameters:
        - in: path
          name: address
          description: AVS service manager contract address
          schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
            description: AVS service manager contract address
            example: '0x870679e138bcdf293b7ff14dd44b70fc97e12fc0'
          required: true
        - in: path
          name: operatorSetId
          description: The ID of the operator-set
          schema:
            type: number
            description: The ID of the operator-set
            example: 1
          required: true
        - in: header
          name: X-API-Token
          description: API Token for authentication
          schema:
            type: string
            description: API Token for authentication
          required: true
      responses:
        '200':
          description: The information about operator-set.
          content:
            application/json:
              schema:
                type: object
                properties:
                  avsAddress:
                    type: string
                    pattern: ^0x[a-fA-F0-9]{40}$
                    description: The AVS contract address
                    example: '0xba7cda36abeb28ad200591e6e4a963359b1f43df'
                  operatorSetId:
                    type: number
                    description: The ID of the operator-set
                    example: 0
                  strategies:
                    type: array
                    items:
                      type: string
                      pattern: ^0x[a-fA-F0-9]{40}$
                      description: The strategy contract address
                      example: '0x7d704507b76571a51d9cae8addabbfd0ba0e63d3'
                    description: Array of strategy contract addresses
                  totalStakers:
                    type: number
                    description: >-
                      The count of stakers whose delegated operator is
                      registered in the operator-set
                    example: 1
                  totalOperators:
                    type: number
                    description: The count of operators registered in the operator-set
                    example: 1
                  allocations:
                    type: array
                    items:
                      type: object
                      properties:
                        operatorAddress:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                          description: The operator contract address
                          example: '0xd9322bb31f42c7caa12daad49699d655393f9524'
                        strategyAddress:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                          description: The strategy contract address
                          example: '0x7d704507b76571a51d9cae8addabbfd0ba0e63d3'
                        magnitude:
                          type: string
                          description: >-
                            The allocation magnitude applicable for this
                            operator-set/strategy pair from effectBlock
                          example: '100000'
                        effectBlock:
                          type: number
                          description: >-
                            The block number when the allocated magnitude takes
                            effect
                          example: 3326552
                      required:
                        - operatorAddress
                        - strategyAddress
                        - magnitude
                        - effectBlock
                  createdAt:
                    type: string
                    description: >-
                      The timestamp when the record was created as an ISO 8601
                      string
                    example: '2025-02-01T00:00:00.000Z'
                  createdAtBlock:
                    type: number
                    description: The block number when the record was created
                    example: 3325343
                  updatedAt:
                    type: string
                    description: >-
                      The timestamp when the record was last updated as an ISO
                      8601 string
                    example: '2025-02-01T00:00:00.000Z'
                  updatedAtBlock:
                    type: number
                    description: The block number when the record was last updated
                    example: 3325343
                required:
                  - avsAddress
                  - operatorSetId
                  - strategies
                  - totalStakers
                  - totalOperators
                  - allocations
                  - createdAt
                  - createdAtBlock
                  - updatedAt
                  - updatedAtBlock
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
components:
  responses:
    '400':
      description: >-
        The server cannot or will not process the request due to something that
        is perceived to be a client error (e.g., malformed request syntax,
        invalid request message framing, or deceptive request routing).
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - bad_request
                    description: A short code indicating the error code returned.
                    example: bad_request
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#bad_request
                required:
                  - code
                  - message
            required:
              - error
    '401':
      description: >-
        Although the HTTP standard specifies "unauthorized", semantically this
        response means "unauthenticated". That is, the client must authenticate
        itself to get the requested response.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unauthorized
                    description: A short code indicating the error code returned.
                    example: unauthorized
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unauthorized
                required:
                  - code
                  - message
            required:
              - error
    '403':
      description: >-
        The client does not have access rights to the content; that is, it is
        unauthorized, so the server is refusing to give the requested resource.
        Unlike 401 Unauthorized, the client's identity is known to the server.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - forbidden
                    description: A short code indicating the error code returned.
                    example: forbidden
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#forbidden
                required:
                  - code
                  - message
            required:
              - error
    '404':
      description: The server cannot find the requested resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - not_found
                    description: A short code indicating the error code returned.
                    example: not_found
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#not_found
                required:
                  - code
                  - message
            required:
              - error
    '422':
      description: >-
        The request was well-formed but was unable to be followed due to
        semantic errors.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unprocessable_entity
                    description: A short code indicating the error code returned.
                    example: unprocessable_entity
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity
                required:
                  - code
                  - message
            required:
              - error
    '429':
      description: >-
        The user has sent too many requests in a given amount of time ("rate
        limiting")
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - rate_limit_exceeded
                    description: A short code indicating the error code returned.
                    example: rate_limit_exceeded
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded
                required:
                  - code
                  - message
            required:
              - error
    '500':
      description: The server has encountered a situation it does not know how to handle.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - internal_server_error
                    description: A short code indicating the error code returned.
                    example: internal_server_error
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#internal_server_error
                required:
                  - code
                  - message
            required:
              - error

````